Subject: bug#36842: Bug when colors and -C used together

From: Alex Meiburg <[email-masked]>
Date: Mon, 29 Jul 2019 20:46:24 +0000

I'm so sorry, please ignore, I made a mistake in understanding how diff highlights colors. I guess I was thinking of `hg diff` and the like, and my coworkers had also thought this seemed wrong.

Apologies.

________________________________
From: Alex Meiburg
Sent: Monday, July 29, 2019 1:42:29 PM
To: [email-masked] <[email-masked]>
Subject: Bug when colors and -C used together

Hello! I'd like to report a bug. I'm running version "diff (GNU diffutils) 3.6, Copyright (C) 2017 Free Software Foundation, Inc.". When I run it with --color=always and -C1, the wrong lines are highlighted: it highlights the lines that _would have_ been the line numbers of output if no context was enabled, but since there are extra lines of output, it's highlighting the wrong lines.

Best,

Alex Meiburg